Add app to chat

Namespace: microsoft.graph

Important

APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.

Install a teamsApp to the specified chat.

Notes:

  • If the chat is associated with an onlineMeeting instance, then, effectively, the teamsApp will get installed to the meeting.
  • Currently, this operation does not support installation of apps that require resource-specific consent permissions. For details, see Known issues.

Permissions

One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.

Permission type Permissions (from least to most privileged)
Delegated (work or school account) TeamsAppInstallation.ReadWriteSelfForChat, TeamsAppInstallation.ReadWriteForChat
Delegated (personal Microsoft account) Not supported.
Application Chat.Manage.Chat*, TeamsAppInstallation.ReadWriteSelfForChat.All, TeamsAppInstallation.ReadWriteForChat.All

Note: Permissions marked with * use resource-specific consent.

HTTP request

POST /chats/{chat-id}/installedApps

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json. Required.

Request body

The request body should contain the catalog app's generated app ID. For details, see teamsApp properties.

Response

If successful, this method returns a 201 Created response code.

Examples

Request

POST https://graph.microsoft.com/beta/chats/19:ea28e88c00e94c7786b065394a61f296@thread.v2/installedApps
Content-Type: application/json

{
   "teamsApp@odata.bind":"https://graph.microsoft.com/beta/appCatalogs/teamsApps/12345678-9abc-def0-123456789a"
}

Response

HTTP/1.1 201 Created